%global _empty_manifest_terminate_build 0
Name:           python-pyodbc
Version:        5.1.0
Release:        1
Summary:        DB API Module for ODBC
License:        MIT
URL:            https://github.com/mkleehammer/pyodbc
Source0:        https://files.pythonhosted.org/packages/b7/80/835b8a98089e31aa6b9bfc0301c1546e69f5205a966888f2663e43e7d07b/pyodbc-%{version}.tar.gz
%description
pyodbc is an open source Python module that makes accessing ODBC databases
simple. It implements the DB API 2.0 specification but is packed with even more
Pythonic convenience.

%package -n python3-pyodbc
Summary:        DB API Module for ODBC
Provides:       python-pyodbc
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
# General requires
BuildRequires:  gcc-c++
BuildRequires:  unixODBC-devel
%description -n python3-pyodbc
pyodbc is an open source Python module that makes accessing ODBC databases
simple. It implements the DB API 2.0 specification but is packed with even more
Pythonic convenience.

%package help
Summary:        DB API Module for ODBC
Provides:       python3-pyodbc-doc
%description help
pyodbc is an open source Python module that makes accessing ODBC databases
simple. It implements the DB API 2.0 specification but is packed with even more
Pythonic convenience.

%prep
%autosetup -n pyodbc-%{version}

%build
%pyproject_build

%install
%pyproject_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-pyodbc
%doc README.md
%license LICENSE.txt
%{python3_sitearch}/pyodbc.*
%{python3_sitearch}/pyodbc*.dist-info/

%files help
%{_docdir}/*

%changelog
* Sat Mar 02 2024 wangqiang <wangqiang1@kylinos.cn> - 5.1.0-1
- Update package to version 5.1.0

* Mon Jul 17 2023 Dongxing Wang <dxwangk@isoftstone.com> - 4.0.39-1
- Update package to version 4.0.39

* Fri Dec 09 2022 wubijie <wubijie@kylinos.cn> - 4.0.35-1
- Update package to version 4.0.35

* Wed Jul 13 2022 OpenStack_SIG <openstack@openeuler.org> - 4.0.32-1
- Init package python3-pyodbc of version 4.0.32

